import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getOpenOrders() {
    return queryOptions({
        queryKey: ["getOpenOrders"],
        queryFn: () => fetchStockSilo(),
        //enabled:
        staleTime: 1000,
        refetchInterval: 1000 * 60 * 15,
        refetchOnWindowFocus: true,
    });
}

const fetchStockSilo = async () => {
    const { data } = await axios.get(
        `/api/datamart/getopenorders?sDay=15&eDay=45`
    );
    // if we are not localhost ignore the devDir setting.
    //const url: string = window.location.host.split(":")[0];
    return data.data ?? [];
};
